/*
Theme Name: TheGem Child
Description: Multi-Purpose Wordpress Theme
Author: Codex Themes.
Theme URI: http://codex-themes.com/thegem/
Author URI: http://codex-themes.com/thegem/
Template: thegem
Version: 1.0
Tags: one-column, two-columns, left-sidebar, right-sidebar, responsive-layout, custom-background, custom-colors, custom-header, custom-menu, featured-images, flexible-header, full-width-template, theme-options, translation-ready, dark, light
License: GNU General Public License
License URI: license.txt
*/


.services__fill {
    text-align: center;
}

.services__fill a {
    padding: 0 33px;
}
.services__fill--text{
    position: relative;
    z-index: 1;
    line-height: normal;
    opacity: 1;
    transition: opacity .3s ease-in-out;
    display: inline-block;
}

.services__fill--text h2.title-h2 {
    font-family: 'Montserrat';
    margin: 0;
    position: relative;
    display: inline-block;
    text-align: left;
    white-space: nowrap;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke-width: 1.5px;
    -webkit-text-stroke-color: #504f4f;
    padding-bottom: 5px;
}

.services__fill--text h2::after {
    content: '#';
    color: transparent;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke-width: 1.5px;
    -webkit-text-stroke-color: #0087cc;
    position: absolute;
    left: -35px;
}

.services__fill--text h2:before {
    -webkit-text-fill-color: #504f4f;
    -webkit-text-stroke-width: 0;
    -webkit-text-stroke-color: transparent;
    width: 100%;
    transition: all .5s ease-in-out;
    content: attr(data-text);
    white-space: nowrap;
    text-align: left;
    box-sizing: border-box;
    position: absolute;
    left: 0;
    right: 0;
    overflow: hidden;
}

.services__fill--text h2:hover:before {
    width: 0;
}

.portfolio_section_row .portfolio .portfolio-filters a {
    position: relative;
}

.portfolio_section_row .portfolio .portfolio-filters a:before {
    transition: all 1s ease;
    -webkit-transition: all 1s ease;
    content: '';
    width: 0;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: #fff;
    z-index: -1;
}


.portfolio_section_row .portfolio .portfilio-top-panel-left .portfolio-filters a {
    transition: all 1.5s ease;
    -webkit-transition: all 1.5s ease;
}

.portfolio_section_row .portfolio .portfilio-top-panel-left .portfolio-filters a:hover {
    background: transparent;
    transition: all 1.5s ease;
    -webkit-transition: all 1.5s ease;
}

.portfolio_section_row .portfolio .portfolio-filters a:hover:before {
    width: 100%;
    transition: all 1s ease;
    -webkit-transition: all 1s ease;
}

@media screen and (min-width: 768px) {
    .portfolio_section_row > row {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }

    .portfolio_section_row .portfolio-style-justified .portfolio-item,
    .portfolio_section_row .portfolio-style-masonry .portfolio-item {
        width: calc(50% - 15px);
    }

    .portfolio_section_row .portfolio-style-justified .custom_portfolio_item, 
    .portfolio_section_row .portfolio-style-masonry .custom_portfolio_item {
        width: calc(50% - 15px);
    }

    .portfolio_section_row .portfolio-style-justified .portfolio-item:nth-child(even),
    .portfolio_section_row .portfolio-style-masonry .portfolio-item:nth-child(even) {
        float: right;
    }

    .portfolio_section_row .portfolio-style-justified .portfolio-item:nth-child(odd),
    .portfolio_section_row .portfolio-style-masonry .portfolio-item:nth-child(odd) {
        float: left;
    }

    .portfolio_section_row .portfolio-style-justified .portfolio-item picture img,
    .portfolio_section_row .portfolio-style-masonry .portfolio-item picture img {
        height: 100% !important;
    }
}


.portfolio_section_row .portfolio-style-justified .portfolio-item,
.portfolio_section_row .portfolio-style-masonry .portfolio-item {
    position: relative !important;
    left: initial !important;
    top: initial !important;
    display: inline-block;
}

.portfolio_section_row .portfolio-style-justified .custom_portfolio_item, 
.portfolio_section_row .portfolio-style-masonry .custom_portfolio_item {
    position: relative !important;
    left: initial !important;
    top: initial !important;
    display: inline-block;
}

.portfolio_section_row .portfolio-style-justified .portfolio-item picture img,
.portfolio_section_row .portfolio-style-masonry .portfolio-item picture img {
    max-width: 100%;
    left: 0!important;
}

.thegem_pf_item .vc_column-inner .gem-image-centered-box {
    margin-bottom: -8px;
}


/* Cookie Consent Popup - START */
.cli-tab-footer .wt-cli-privacy-accept-btn,
.cli-switch input:checked+.cli-slider {
    background-color: #0087cc !important;
}

@media screen and (min-width: 839px) and (max-width: 947px){
    #cookie-law-info-bar span,
    #cookie-law-info-bar a{
        font-size: 9px !important;
    }

    #cookie-law-info-bar .cookie_action_close_header {
        margin-left: 1% !important;
    }
}

@media screen and (min-width: 948px) and (max-width: 1166px){
    #cookie-law-info-bar span,
    #cookie-law-info-bar a{
        font-size: 10px !important;
    }

    #cookie-law-info-bar .cookie_action_close_header {
        margin-left: 5% !important;
    }
}

@media screen and (min-width: 1167px) and (max-width: 1320px){
    #cookie-law-info-bar span,
    #cookie-law-info-bar a{
        font-size: 12px !important;
    }

    #cookie-law-info-bar .cookie_action_close_header {
        margin-left: 10% !important;
    }
}
/* Cookie Consent Popup - END */


/******* Portfolio Columns CSS Backup *******/



/* START

@media screen and (min-width: 992px) {
    .portfolio_section_row > row {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }
    
    body:not(.page-id-4068) .portfolio_section_row .portfolio-set {
        columns: 2;
        column-gap: 30px;
        width: 100%;
        margin: 0 auto;
        height: auto !important;
    }
    
    body:not(.page-id-4068) .portfolio_section_row .portfolio-style-justified .portfolio-item,
    body:not(.page-id-4068) .portfolio_section_row .portfolio-style-masonry .portfolio-item  {
        position: relative !important;
        left: initial !important;
        top: initial !important;
        width: 100%;
    }
    
    .portfolio_section_row .portfolio-style-justified .portfolio-item picture img,
    .portfolio_section_row .portfolio-style-masonry .portfolio-item picture img {
        height: 100% !important;
    }
}


body:not(.page-id-4068) .portfolio_section_row .portfolio-style-justified .portfolio-item,
body:not(.page-id-4068) .portfolio_section_row .portfolio-style-masonry .portfolio-item {
    position: relative !important;
    left: initial !important;
    top: initial !important;
    width: 100%;
}

.portfolio_section_row .portfolio-style-justified .portfolio-item picture img,
.portfolio_section_row .portfolio-style-masonry .portfolio-item picture img {
    max-width: 100%;
    left: 0!important;
}

.thegem_pf_item .vc_column-inner .gem-image-centered-box {
    margin-bottom: -8px;
}



END */